org.hibernate.validator.internal.metadata.aggregated

## Class ExecutableMetaData.Builder

- java.lang.Object
- - org.hibernate.validator.internal.metadata.aggregated.MetaDataBuilder
  - - org.hibernate.validator.internal.metadata.aggregated.ExecutableMetaData.Builder

- Enclosing class:
    ExecutableMetaData

      public static class ExecutableMetaData.Builder
      extends MetaDataBuilder

  Creates new `ExecutableMetaData` instances.
  Author:
    Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.aggregated.MetaDataBuilder

      `constraintHelper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutableMetaData.Builder(Class<?> beanClass, ConstrainedExecutable constrainedExecutable, ConstraintHelper constraintHelper, ExecutableHelper executableHelper)` Creates a new builder based on the given executable meta data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(ConstrainedElement constrainedElement)` Whether this builder allows to add the given element or not.
    `void` | `add(ConstrainedElement constrainedElement)` Adds the given element to this builder.
    `ExecutableMetaData` | `build()` Creates a new, read-only `ConstraintMetaData` object with all constraint information related to the method or property represented by this builder.

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.aggregated.MetaDataBuilder

      `adaptOriginsAndImplicitGroups, getConstraints, getGroupConversions, isCascading, requiresUnwrapping`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutableMetaData.Builder

          public ExecutableMetaData.Builder(Class<?> beanClass,
                                    ConstrainedExecutable constrainedExecutable,
                                    ConstraintHelper constraintHelper,
                                    ExecutableHelper executableHelper)

      Creates a new builder based on the given executable meta data.
      Parameters:
        `constrainedExecutable` - The base executable for this builder. This is the lowest executable with a given signature within a type hierarchy.
        `constraintHelper` - the constraint helper
        `executableHelper` - the executable helper

  - ### Method Detail

    - #### accepts

          public boolean accepts(ConstrainedElement constrainedElement)

      Description copied from class: `MetaDataBuilder`
      Whether this builder allows to add the given element or not. This is the case if the specified element relates to the same property or method with which this builder was instantiated.
      Specified by:
        `accepts` in class `MetaDataBuilder`
      Parameters:
        `constrainedElement` - The element to check.
      Returns:
        `true` if the given element can be added to this builder, `false` otherwise.

    - #### add

          public void add(ConstrainedElement constrainedElement)

      Description copied from class: `MetaDataBuilder`
      Adds the given element to this builder. It must be checked with `MetaDataBuilder.accepts(ConstrainedElement)` before, whether this is allowed or not.
      Overrides:
        `add` in class `MetaDataBuilder`
      Parameters:
        `constrainedElement` - The element to add.

    - #### build

          public ExecutableMetaData build()

      Description copied from class: `MetaDataBuilder`
      Creates a new, read-only `ConstraintMetaData` object with all constraint information related to the method or property represented by this builder.
      Specified by:
        `build` in class `MetaDataBuilder`
      Returns:
        A `ConstraintMetaData` object.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved